class Obj{

    /**音频材料 */
    audioUrl: String;

    /**图片材料 */
    picUrl:String;

    /**值 */
    val : String;
}

export class Answer extends Obj{

    /**是否正确：0-否，1-是 */
    isRight:String;
}

export class Exercises extends Obj{

    /**备选择答案：3-5个 */
    answers :Array<Answer> = [];

    /**序列帧 */
    frames : Array<Frame> = []; 

    hotZoneItemArr = [];

    bg : Backgroud;
}

export class Frame extends Obj{

}

export class Backgroud extends Obj{
    rect = {};
}

export class Title extends Obj{

}

export class Item{
    

    title : Title;

    //练习题
    exercisesArr : Array<Exercises> = [];
} 

export function getDefaultItem(){

    const item = new Item();

   

    item.title = new Title();

    item.title.val = 'Find Body Part'

    return item;
}

export function getDefaultExercises(){

    const exercises = new Exercises();

    exercises.bg = new Backgroud();

    for(let i = 0; i < 3; ++ i){
        const answer = new Answer();
        answer.isRight = '0';
        exercises.answers.push(answer);
    }

    return exercises;
}